Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Class ModuleLogLevelsConfigKeys

    java.lang.Object
      com.sun.appserv.management.config.ModuleLogLevelsConfigKeys

public final class ModuleLogLevelsConfigKeys
extends java.lang.Object

Parameters used by `LogServiceConfig` when creating new module-log-levels element.

See Also:
  `LogServiceConfig`

Field Summary
`static java.lang.String` | `ADMIN_KEY`
`static java.lang.String` | `CLASSLOADER_KEY`
`static java.lang.String` | `CMP_CONTAINER_KEY`
`static java.lang.String` | `CMP_KEY`
`static java.lang.String` | `CONFIGURATION_KEY`
`static java.lang.String` | `CONNECTOR_KEY`
`static java.lang.String` | `CORBA_KEY`
`static java.lang.String` | `DEPLOYMENT_KEY`
`static java.lang.String` | `EJB_CONTAINER_KEY`
`static java.lang.String` | `JAVAMAIL_KEY`
`static java.lang.String` | `JAXR_KEY`
`static java.lang.String` | `JAXRPC_KEY`
`static java.lang.String` | `JDO_KEY`
`static java.lang.String` | `JMS_KEY`
`static java.lang.String` | `JTA_KEY`
`static java.lang.String` | `JTS_KEY`
`static java.lang.String` | `MDB_CONTAINER_KEY`
`static java.lang.String` | `NAMING_KEY`
`static java.lang.String` | `NODE_AGENT_KEY`
`static java.lang.String` | `RESOURCE_ADAPTER_KEY`
`static java.lang.String` | `ROOT_KEY`
`static java.lang.String` | `SAAJ_KEY`
`static java.lang.String` | `SECURITY_KEY`
`static java.lang.String` | `SERVER_KEY`
`static java.lang.String` | `SYNCHRONIZATION_KEY`
`static java.lang.String` | `UTIL_KEY`
`static java.lang.String` | `VERIFIER_KEY`
`static java.lang.String` | `WEB_CONTAINER_KEY`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_KEY

    public static final java.lang.String ROOT_KEY

See Also:
  Constant Field Values

### SERVER_KEY

    public static final java.lang.String SERVER_KEY

See Also:
  Constant Field Values

### EJB_CONTAINER_KEY

    public static final java.lang.String EJB_CONTAINER_KEY

See Also:
  Constant Field Values

### CMP_CONTAINER_KEY

    public static final java.lang.String CMP_CONTAINER_KEY

See Also:
  Constant Field Values

### MDB_CONTAINER_KEY

    public static final java.lang.String MDB_CONTAINER_KEY

See Also:
  Constant Field Values

### WEB_CONTAINER_KEY

    public static final java.lang.String WEB_CONTAINER_KEY

See Also:
  Constant Field Values

### CLASSLOADER_KEY

    public static final java.lang.String CLASSLOADER_KEY

See Also:
  Constant Field Values

### CONFIGURATION_KEY

    public static final java.lang.String CONFIGURATION_KEY

See Also:
  Constant Field Values

### NAMING_KEY

    public static final java.lang.String NAMING_KEY

See Also:
  Constant Field Values

### SECURITY_KEY

    public static final java.lang.String SECURITY_KEY

See Also:
  Constant Field Values

### JTS_KEY

    public static final java.lang.String JTS_KEY

See Also:
  Constant Field Values

### JTA_KEY

    public static final java.lang.String JTA_KEY

See Also:
  Constant Field Values

### ADMIN_KEY

    public static final java.lang.String ADMIN_KEY

See Also:
  Constant Field Values

### DEPLOYMENT_KEY

    public static final java.lang.String DEPLOYMENT_KEY

See Also:
  Constant Field Values

### VERIFIER_KEY

    public static final java.lang.String VERIFIER_KEY

See Also:
  Constant Field Values

### JAXR_KEY

    public static final java.lang.String JAXR_KEY

See Also:
  Constant Field Values

### JAXRPC_KEY

    public static final java.lang.String JAXRPC_KEY

See Also:
  Constant Field Values

### SAAJ_KEY

    public static final java.lang.String SAAJ_KEY

See Also:
  Constant Field Values

### CORBA_KEY

    public static final java.lang.String CORBA_KEY

See Also:
  Constant Field Values

### JAVAMAIL_KEY

    public static final java.lang.String JAVAMAIL_KEY

See Also:
  Constant Field Values

### JMS_KEY

    public static final java.lang.String JMS_KEY

See Also:
  Constant Field Values

### CONNECTOR_KEY

    public static final java.lang.String CONNECTOR_KEY

See Also:
  Constant Field Values

### JDO_KEY

    public static final java.lang.String JDO_KEY

See Also:
  Constant Field Values

### CMP_KEY

    public static final java.lang.String CMP_KEY

See Also:
  Constant Field Values

### UTIL_KEY

    public static final java.lang.String UTIL_KEY

See Also:
  Constant Field Values

### RESOURCE_ADAPTER_KEY

    public static final java.lang.String RESOURCE_ADAPTER_KEY

See Also:
  Constant Field Values

### SYNCHRONIZATION_KEY

    public static final java.lang.String SYNCHRONIZATION_KEY

See Also:
  Constant Field Values

### NODE_AGENT_KEY

    public static final java.lang.String NODE_AGENT_KEY

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.